<?



	/*********************************************************************
	* Модуль выписки и отправки счета.                                   *
	*                                                                    *
	*********************************************************************/

	// Клиент ввел свои данные. Выписываем и отправляем счет
	if ($Createinvoice == "Yes")
	{
		// Подключаем системный файл с модулями запросов к серверу WMT
		require_once "wm.inc";

		// Шаг 1. Получаем данные формы
		$wmid   = $HTTP_POST_VARS["wmid"];
		$summ   = $HTTP_POST_VARS["summ"];
		$amount = $HTTP_POST_VARS["amount"];
		$apurse = $HTTP_POST_VARS["wmpurse"];
		$what   = $HTTP_POST_VARS["what"];
		$type   = $HTTP_POST_VARS["type"];
		if(substr($purseE, 0, 1) == $type)
		{
			$purse = $purseE;
		}
		if(substr($purseZ, 0, 1) == $type)
		{
			$purse = $purseZ;
		}
		if(substr($purseR, 0, 1) == $type)
		{
			$purse = $purseR;
		}

		// Шаг 2. Проверка введенных данных на правильность
		
		$errorr = "";
		
		if((!$apurse) || (strlen($apurse) != 13) || (!$wmid) | (strlen($wmid) != 12) || (substr($what, 2, 3) != substr($apurse, 0, 1)))
		{
			$errorr .= "<br>Вы неправильно ввели номер кошелька или WM-идентификатор";
		}
		else
		{
			list($status, $err) = CheckWMIDPurse($wmid, $apurse);
			if($status == -1)
			{
				$errorr .= "<br>Ошибка проверки: ".$err;
			}
			elseif ($status ==  0)
			{
				$errorr .= "<br>Указанного WM идентификатора не существует";
			}
			elseif ($status ==  1)
			{
				$errorr .= "<br>WM идентификатор существует, но он не имеет указанного кошелька";
			}
			elseif ($status ==  2)
			{
				// Все в порядке. Выводить сообщение об ошибке не надо.
			}
			else
			{
				$errorr .= "<br>Внутренняя ошибка скрипта";
			}
		}

		// Пересчитываем и сравниваем суммы
		// Высчитываем суммы обмена
		if($type == "R")
		{
			if($What == "WMZ")
			{
				$proc = $summ*100/(100 + $comissRZ);
				$amounT=round($proc/$kursZR,2);
			}
			if($What == "WME")
			{
				$proc = $summ*100/(100 + $comissRE);
				$amounT=round($proc/$kursER,2);
			}
		}
		elseif ($type == "E")
		{
			if($What == "WMR")
			{
				$proc = $summ*100/(100 + $comissER);
				$amounT=round($proc*$kursER,2);
			}
			if($What == "WMZ")
			{
				$proc = $summ*100/(100 + $comissEZ);
				$amounT=round($proc*$kursEZ,2);
			}
		}
		elseif ($type == "Z")
		{
			if($What == "WMR")
			{
				$proc = $summ*100/(100 + $comissZR);
				$amounT=round($proc*$kursZR,2);
			}
			if($What == "WME")
			{
				$proc = $summ*100/(100 + $comissZE);
				$amounT=round($proc/$kursZE,2);
			}
		}
		else
		{
			$errorr .="<br>Невозможно произвести контрольную проверку!";
		}
		if (round($amount,0) != round($amounT,0))
		{
			$errorr .="<br>Ошибка при контрольной проверке сумм (".$amount." и ".$amounT."), пожалуйста, попробуйте выполнить операцию еще раз. Возможно изменился курс обмена.<br>";
		}
		
		if($errorr == "")
		{
			// Шаг 3. Выписываем счет
			//Читаем историю переводов
			$fd = fopen("log", "r");
			$tmp = fread($fd, 10000);
			while ($tmp!="")
			{
				$index = $index.$tmp;
				$tmp=fread($fd, 10000);
			}
			fclose($fd);
			$Lines = split("\n",$index);
			$i=0;
			while ($i < count($Lines)-1)
			{
				list ($id,$pass,$inv,$sum,$pur,$wmi,$wmp,$amo,$stat) = split ('\|',$Lines[$i]);
				$i++;
			}
			if (!$id)
			{
				$id=0;
			}
			$inv_id = $id + 1;
			$inv_pass = _DateID()."1";
			$dsc    = "Обмен WM".$Purse." -> ".$What." в ".$namead;
			$adr    = $urlad."check_inv.php?p=".$inv_pass;

			// Вызов сервисной функции модуля WM по выписке счета
			list($wminvc_n, $err) = InvCreate($wmid, $purse, $summ, $inv_id, $dsc, $adr);
			
			// Вывод результата
			if ($wminvc_n>0)
			{
				// Записываем информацию о выставленном счете в лог-файл
				// НашНомер|Пароль|НомерWM|Сумма|IDпокупателя|Кошелк_Для_Денег|Долг_Юзеру|Состояние_Счета
				$new_trans = $inv_id."|".$inv_pass."|".$wminvc_n."|".$summ."|".$purse."|".$wmid."|".$apurse."|".$amounT."|0\n";
				$index .= $new_trans;
				$fd = fopen("log", "w+");
				fwrite($fd, $index);
				fclose($fd);
			}
			else
			{
				$errorr .= "Ошибка выписки счета :".$err;
			}
		}
	}
	// Вывод формы для ввода клиентом своих данных
	elseif(($Createinvoice == "no") && ($What) && ($Purse) && ($Amount) && ($Invoice))
	{
		include "config.inc";

		if(substr($purseE, 0, 1) == $Purse)
		{
			$purse = $purseE;
		}
		if(substr($purseZ, 0, 1) == $Purse)
		{
			$purse = $purseZ;
		}
		if(substr($purseR, 0, 1) == $Purse)
		{
			$purse = $purseR;
		}
	}

?>
<html>
<title>Обмен WM<?echo $Purse?> -> <?echo $What?></title>
<body topmargin="0" leftmargin="0" marginWidth="0" marginHeight="0">
<?
	include $skinPath."init.php";
	include $skinPath."trans_skin.php";
?>
</body>
</html>